Skip to content

API reference / Connect

GET /v1/account Bearer

Check sub-account context

Returns the authenticated merchant and the sub-account resolved from X-Mojo-Account-Ref when sub-accounts are enabled.

Headers

X-Mojo-Account-Ref optional string

Required when sub-accounts are enabled for the merchant (except metadata and balance routes). Targets the sub-account for this request.

GET https://omni.mojo-pay.com/v1/account
curl -X GET "https://omni.mojo-pay.com/v1/account" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Accept: application/json"
Response
{
    "object": "account_context",
    "merchant": {
        "id": 42,
        "name": "Acme Ltd",
        "sub_accounts_enabled": true
    },
    "account": {
        "id": "MAC_ABCDEF123456",
        "object": "merchant_account",
        "account_ref": "accra-branch",
        "name": "Accra Branch",
        "status": "active"
    }
}